Debian Bug report logs - #686819
simpler presentation of iso downloads

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Stefano Zacchiroli <zack@debian.org>

Date: Thu, 6 Sep 2012 09:57:01 UTC

Severity: normal

Tags: patch

Done: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, synrg@sanctuary.nslug.ns.ca, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Thu, 06 Sep 2012 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
New Bug report received and forwarded. Copy sent to synrg@sanctuary.nslug.ns.ca, Debian WWW Team <debian-www@lists.debian.org>. (Thu, 06 Sep 2012 09:57:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: submit@bugs.debian.org
Subject: simpler presentation of iso downloads
Date: Thu, 6 Sep 2012 11:54:01 +0200
[Message part 1 (text/plain, inline)]
Package: www.debian.org
Tags: patch

After discussion with Ben Armstrong, I'm re-sending the mail below as a
bug report, so that we've a place where to keep track of this issue. For
context, see the thread started at

  https://lists.debian.org/debian-www/2012/08/msg00061.html

where the mail below has originally been posted.


Thanks for maintaining the website,
Cheers.


On Thu, Aug 16, 2012 at 08:11:13AM -0300, Ben Armstrong wrote:
> On 08/13/2012 05:10 AM, Philip Hands wrote:
> > While contrasting with Ubuntu, there is also the issue of Debian
> > Live CDs which are close to impossible to find, and if you
> > eventually manage to find them, turn out to be too big to fit on a
> > CD.
> 
> I have put some work into www.debian.org to improve things. The click
> path is:

Thanks a lot for working on this. Considering that "installing Linux"
(as they say) is still something very scary for many potential users out
there, advertising prominently the possibility of trying Debian out
without having to touch your system is something that I consider very
important. I'm happy to see interest and work in this direction.

Along the same lines, I suggest to simplify the choices according to the
ways of acquiring Debian that are more likely for users. The suggestion
is implemented in the attached patch:

- it put first the two options that I think are more likely for our
  users, i.e. downloading debian (be it in the live flavor of not), and
  the other options (buying CD or pre-installed systems) next

- the choice of "small" vs "large" is now a sub-choice of downloading an
  installation image (the title of the section points to "small", as I
  believe is the choice we recommend)

The wording can surely be improved.

-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[distrib.image-or-live.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Thu, 22 Nov 2012 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Thu, 22 Nov 2012 09:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 686819@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Ben Armstrong <synrg@debian.org>
Cc: 686819@bugs.debian.org
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Thu, 22 Nov 2012 10:31:13 +0100
[Message part 1 (text/plain, inline)]
On Thu, Sep 06, 2012 at 11:54:01AM +0200, Stefano Zacchiroli wrote:
> Along the same lines, I suggest to simplify the choices according to the
> ways of acquiring Debian that are more likely for users. The suggestion
> is implemented in the attached patch:

Hi again Ben, any chance you can review and/or apply this patch?

Sorry for bothering again, but I'm about to prepare a related patch to
document how to get Debian on public clouds (bug report pending). If you
think you will potentially apply this patch, I'll provide a patch
assuming it will be applied; otherwise I'll propose a patch against the
current page, but that would make it a bit more annoying applying the
previous patch.

Let me know,
thanks.
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Thu, 22 Nov 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Thu, 22 Nov 2012 09:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 686819@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@debian.org>
To: 686819@bugs.debian.org
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Thu, 22 Nov 2012 05:40:08 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 22/11/12 05:31 AM, Stefano Zacchiroli wrote:
> Hi again Ben, any chance you can review and/or apply this patch?
> 
> Sorry for bothering again, but I'm about to prepare a related
> patch to document how to get Debian on public clouds (bug report 
> pending). If you think you will potentially apply this patch, I'll 
> provide a patch assuming it will be applied; otherwise I'll
> propose a patch against the current page, but that would make it a
> bit more annoying applying the previous patch.

Go ahead and provide one assuming I'll apply this one. I'll make a
concerted effort to find time on the weekend for it.

Ben

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAlCt8vgACgkQWpTzygsnE8iDCgCaAtwizHFSUPrBoVf8Msp9OrEd
r9EAnRKI9E5tvReJYy3kr3u4Uh6e8d+1
=2F2/
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Sun, 16 Dec 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 16 Dec 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 686819@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: alberto fuentes <pajaro@gmail.com>
Cc: David Prévot <taffit@debian.org>, debian-devel@lists.debian.org, debian-live <debian-live@lists.debian.org>, 686819@bugs.debian.org
Subject: Re: installation/live-cd
Date: Sun, 16 Dec 2012 19:20:05 +0100
[Message part 1 (text/plain, inline)]
On Sun, Dec 16, 2012 at 05:00:40PM +0100, alberto fuentes wrote:
> Somehow related, the link is kinda hidden in the download page. The link is
> even under buy a computer with debian preinstalled... witch i think is
> silly.

Yeah, it's a bit subotimal.  At
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=686819 there is a bug
report, aiming at fixing this. I've been trying to get review before
applying it since quite a while, without much success. I'll try again
this week and push the patch. Thanks for your feedback.

Cheers.
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
You have taken responsibility. (Mon, 17 Dec 2012 01:39:04 GMT) Full text and rfc822 format available.

Notification sent to Stefano Zacchiroli <zack@debian.org>:
Bug acknowledged by developer. (Mon, 17 Dec 2012 01:39:04 GMT) Full text and rfc822 format available.

Message #25 received at 686819-done@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: 686819-done@bugs.debian.org
Subject: Simplified CD presentation
Date: Sun, 16 Dec 2012 21:34:57 -0400
Hi,

I finally reviewed, tidied up and applied Zack's patch (thanks, Zack,
and sorry I took so long about it) and then did a bit more work bringing
live images to the fore, linking directly to the torrents of the iso
hybrid images, and also summarizing briefly the caveats that are
mentioned in more detail on the /CD/live page.

Ben



Information stored :
Bug#686819; Package www.debian.org. (Mon, 17 Dec 2012 08:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 17 Dec 2012 08:15:11 GMT) Full text and rfc822 format available.

Message #30 received at 686819-quiet@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Ben Armstrong <synrg@debian.org>
Cc: 686819-quiet@bugs.debian.org
Subject: Re: Bug#686819 closed by Ben Armstrong <synrg@sanctuary.nslug.ns.ca> (Simplified CD presentation)
Date: Mon, 17 Dec 2012 09:11:05 +0100
[Message part 1 (text/plain, inline)]
On Mon, Dec 17, 2012 at 01:39:04AM +0000, Debian Bug Tracking System wrote:
> I finally reviewed, tidied up and applied Zack's patch (thanks, Zack,
> and sorry I took so long about it) and then did a bit more work bringing
> live images to the fore, linking directly to the torrents of the iso
> hybrid images, and also summarizing briefly the caveats that are
> mentioned in more detail on the /CD/live page.

Thank you for reviewing and applying!

Cheers.
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Fri, 28 Dec 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 28 Dec 2012 13:09:03 GMT) Full text and rfc822 format available.

Message #35 received at 686819@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Stefano Zacchiroli <zack@debian.org>, 686819@bugs.debian.org
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Fri, 28 Dec 2012 14:06:15 +0100
Hello,

Stefano Zacchiroli, le Thu 06 Sep 2012 11:54:01 +0200, a écrit :
> - it put first the two options that I think are more likely for our
>   users, i.e. downloading debian (be it in the live flavor of not), and
>   the other options (buying CD or pre-installed systems) next

Along the same line, it was suggested on #debian-boot that the main
http://www.debian.org/index page should do the same: "CD ISO images"
should be before "CD vendors" in the "Getting Debian" list.

Also, network install could be more useful to put early.

Also, a link to the testing distribution would be useful (pointing to
http://www.debian.org/devel/debian-installer/), otherwise it's no wonder
we have not much user feedback about it.

To summarize, the second column would become:

    Getting Debian
        CD ISO images
        Network install
        CD vendors
        Pre-installed
        Test next release
    Developers' Corner
    Debian Packages

Also, the http://www.debian.org/distrib/ should explicitly tell that it
is for squeeze: for instance, the title should be "Getting Debian
Squeeze". 

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Fri, 28 Dec 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 28 Dec 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 686819@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Stefano Zacchiroli <zack@debian.org>, 686819@bugs.debian.org
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Fri, 28 Dec 2012 14:08:37 +0100
I forgot another important thing: I had not even *seen* the "Download
Debian 6.0" image on the top-right corner of http://www.debian.org/index
. This is indeed not a place where the eyes would naturally go, so it
tends to be completely unnoticed.

I'd say it should rather go to the bottom left corner of the blue debian
banner (bottom right for RtoL languages).

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Fri, 28 Dec 2012 15:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 28 Dec 2012 15:30:06 GMT) Full text and rfc822 format available.

Message #45 received at 686819@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@debian.org>
To: 686819@bugs.debian.org
Cc: Samuel Thibault <sthibault@debian.org>, Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Fri, 28 Dec 2012 11:26:43 -0400
On 28/12/12 09:06 AM, Samuel Thibault wrote:
> Along the same line, it was suggested on #debian-boot that the main
> http://www.debian.org/index page should do the same: "CD ISO images"
> should be before "CD vendors" in the "Getting Debian" list.
> 
> Also, network install could be more useful to put early.

I agree with both these suggestions.

> Also, a link to the testing distribution would be useful (pointing to
> http://www.debian.org/devel/debian-installer/), otherwise it's no wonder
> we have not much user feedback about it.

I'm not so sure. There are only very limited periods of time during the
release cycle that we would actually want to direct people there. We
have announcements for the beta releases that already do that, for those
who are following along and anticipating the next release.

> To summarize, the second column would become:
> 
>     Getting Debian
>         CD ISO images
>         Network install
>         CD vendors
>         Pre-installed
>         Test next release
>     Developers' Corner
>     Debian Packages

Except for "Test next release", that seems reasonable, but I would
actually bump "Network install" up to the top, as it is recommended and
most used way these days.

> Also, the http://www.debian.org/distrib/ should explicitly tell that it
> is for squeeze: for instance, the title should be "Getting Debian
> Squeeze". 

Again, not sure about this suggestion. "Debian" unqualified is
implicitly the current stable release (there are a lot of pages where
this assumption is made, and I would not want to tediously spell out
both codename and version# on each). If it needs to be clarified here,
it should go into the introductory text, not the page title. Maybe:

old:

Debian is distributed freely over Internet. You can download all of it
from any of our mirrors. The Installation Manual contains detailed
installation instructions.

new:

Debian is distributed freely over Internet. You can download all of it
from any of our mirrors. The current stable release, codenamed
"squeeze", is Debian 6.0.6. The Installation Manual contains detailed
installation instructions.

Ben



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Fri, 28 Dec 2012 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 28 Dec 2012 15:42:03 GMT) Full text and rfc822 format available.

Message #50 received at 686819@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 686819@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Fri, 28 Dec 2012 11:38:35 -0400
On 28/12/12 09:08 AM, Samuel Thibault wrote:
> I forgot another important thing: I had not even *seen* the "Download
> Debian 6.0" image on the top-right corner of http://www.debian.org/index
> . This is indeed not a place where the eyes would naturally go, so it
> tends to be completely unnoticed.
> 
> I'd say it should rather go to the bottom left corner of the blue debian
> banner (bottom right for RtoL languages).

I don't like the idea of placing it in either location, as it looks out
of place in either. However, I do agree it's too subtle. Here's are a
couple of more successful download button layouts from which we might
draw inspiration:

https://www.mozilla.org/en-US/firefox/new/

https://www.google.com/intl/en/chrome/browser/

In the first case, the color contrast is much better (solid green
immediately draws the eyes; our design only goes green when you
mouseover, which is too subtle). The placement here looks visually
balanced and the eyes are naturally drawn to it first.

In the second case, the color scheme is much simpler. The eyes are drawn
immediately to the solid blue button because it's the only colored thing
on the page. The center placement also draws your eyes directly to the
button.

Ben
p.s. I really think you should file this as a separate bug.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Fri, 28 Dec 2012 16:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 28 Dec 2012 16:06:03 GMT) Full text and rfc822 format available.

Message #55 received at 686819@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Ben Armstrong <synrg@debian.org>
Cc: 686819@bugs.debian.org, Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Fri, 28 Dec 2012 17:04:22 +0100
Ben Armstrong, le Fri 28 Dec 2012 11:26:43 -0400, a écrit :
> We have announcements for the beta releases that already do that, for
> those who are following along and anticipating the next release.

Well, I also had a problem with that: see for instance

http://www.debian.org/devel/debian-installer/News/2012/20121122

The download link is at the very end. It should rather be at the top. In

http://www.debian.org/News/2012/20120810

it is buried inside the text.

> > Also, the http://www.debian.org/distrib/ should explicitly tell that it
> > is for squeeze: for instance, the title should be "Getting Debian
> > Squeeze". 
> 
> Again, not sure about this suggestion. "Debian" unqualified is
> implicitly the current stable release (there are a lot of pages where
> this assumption is made, and I would not want to tediously spell out
> both codename and version# on each). If it needs to be clarified here,

Apparently it needs to be clarified, as a user asked for it on
#debian-boot.

> it should go into the introductory text, not the page title. Maybe:
> 
> old:
> 
> Debian is distributed freely over Internet. You can download all of it
> from any of our mirrors. The Installation Manual contains detailed
> installation instructions.
> 
> new:
> 
> Debian is distributed freely over Internet. You can download all of it
> from any of our mirrors. The current stable release, codenamed
> "squeeze", is Debian 6.0.6. The Installation Manual contains detailed
> installation instructions.

Agreed.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#686819; Package www.debian.org. (Fri, 28 Dec 2012 16:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 28 Dec 2012 16:15:09 GMT) Full text and rfc822 format available.

Message #60 received at 686819@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 686819@bugs.debian.org, Équipe du système d'installation <debian-boot@lists.debian.org>
Cc: Ben Armstrong <synrg@debian.org>, Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#686819: simpler presentation of iso downloads
Date: Fri, 28 Dec 2012 12:14:48 -0400
[Message part 1 (text/plain, inline)]
Hi,

Le 28/12/2012 12:04, Samuel Thibault a écrit :
> Ben Armstrong, le Fri 28 Dec 2012 11:26:43 -0400, a écrit :
>> We have announcements for the beta releases that already do that, for
>> those who are following along and anticipating the next release.
> 
> Well, I also had a problem with that: see for instance
> 
> http://www.debian.org/devel/debian-installer/News/2012/20121122
> 
> The download link is at the very end. It should rather be at the top. In
> 
> http://www.debian.org/News/2012/20120810
> 
> it is buried inside the text.

Including -boot among recipients in charge of this section and those
announcements then.

Not sure how relevant it is to follow-up on an already closed bug
report, but please note that the menu thingy (netinst before ISO before
sellers) is now fixed, thanks for spotting it too. It should show up
online in an big bunch of hours (the whole site needs to be rebuilt
since the menu is on every page).

Regards

David


[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Jan 2013 07:25:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:52:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.